<html>
    <head>
    <link rel="stylesheet" href="../UI_Common/Webix/5.2.1/webix.css" type="text/css">
    <script src="../UI_Common/Webix/5.2.1/webix.js" type="text/javascript"></script>  
	</style>

    </head>
    <body>
        <div id="bootscreen"></div>
        <script type="text/javascript">
            var launch_menu_data =
            [
                {
                    id: 1,
                    title: "Dummy Level",
                    unique_name:"dummy_level",
                    status:"Complete",
                    details: "Dummy level to allow quick testing of new idea's"
                },
                 {
                     id: 2,
                     title: "Unit Test",
                     unique_name: "unit_test",
                     status:"In Development",
                     detail: "Run through C++ unit tests and show results in UI and output file"
                 },
                {
                    id: 3,
                    title: "Pong",
                    unique_name: "pong",
                    status:"In Development",
                    detail: "Pong, hopefully with network play :)"
                },
                {
                    id: 4,
                    title: "Ultimate Frisbee",
                    unique_name: "frisbee",
                    status:"Not Started",
                    detail: "This is a simple game to prove out gameplay technology"
                },
                {
                    id: 5,
                    title: "Eco",
                    unique_name: "eco",
                    status: "Not Started",
                    detail: "What I always want to build :)"
                }
            ];

            // This is what will be passed to the C++
            var launch_unique_name = "";
            
            webix.ui
            (
                {
                    view: "window",
                    id: "mylist",
                    head:"Select Game To Launch",
                    position: "center",
                    body:
                    {
                        type:"line",
                        rows:
                        [
                            {
                                view: "list",

                                data:launch_menu_data,
                                
                                template: "<strong>#title#</strong> <div style='padding-left:18px'> Details: <em>#detail#</em></div>",
                                
                                select: true, //enables selection 
                                scroll:false,
                                autoheight:true,
                                autowidth: true,
                                
                                on: {
                                    'onAfterSelect': function (id)
                                    {
                                        launch_unique_name = this.getItem(id).unique_name; 
                                    },
                                    'onLoadError': function (text, xml, ajax) {
                                        webix.message("Loading error");
                                    },
                                    'onValidationError': function (id) {
                                        webix.message("Validation error");
                                    }
                                },
                            }, 
                            
                            { 
                                view: "toolbar", elements:
                                [
                                    { view:"button", value:"Launch Level", click:"launch_level"}
                                ]
                            }
                        ]
                    }
                }
            ).show();


 

            function getItem(dataArray, id)
            {
                var arrayLength = dataArray.length;
                for (var i = 0; i < arrayLength; i++) 
                {
                    var data = dataArray[i];
                    if (data.id == id)
                    {
                        return data;
                    }
                }
                return "";
            }

            function launch_level()
            {
                app.Application_LaunchLevel(launch_unique_name);
            }

        </script>
    </body>
</html>